# Get data requirements

Returns the fields required to make a payout using the given payout method.

Endpoint: GET /data-requirements
Version: 1.0.0

## Query parameters:

  - `payout-country` (string, required)
    The beneficiary's country in ISO 3166-1 alpha-2 code format.
    Example: "AT"

  - `use-case` (string, required)
    The use case for the payment.
    Enum: "B2B", "B2C", "B2B2B", "B2B2C", "C2B2B", "C2B2C"

  - `payout-currency` (string, required)
    The beneficiary's account currency in ISO-4217 alpha-3 code format.
    Example: "EUR"

  - `payout-category` (string, required)
    The payout category for the payment. This field corresponds to payoutMethodName in the 200 response.
    Enum: "BANK"

  - `partner-name` (string, required)
    The name of Ripple's payout partner. Please reach out to your Ripple liasion to get the value.

  - `field-category` (string, required)
    Field category specifies the type of party involved in the transaction.

| Field category | Description | 
| --- | --- |
| ORIGINATOR | The identity corresponds to a payment originator |
| BENEFICIARY | The identity corresponds to a payment beneficiary |
    Example: "BENEFICIARY"

  - `flow` (string, required)
    The only supported value is RPD.
    Example: "RPD"

## Response 200 fields (application/json):

  - `supportedUseCase` (string, required)
    The use case for the payment.
    Example: "B2B"

  - `payoutCountry` (string, required)
    The beneficiary's country in ISO 3166-1 alpha-2 code format.
    Example: "AT"

  - `payoutCurrency` (string, required)
    The beneficiary's account currency in ISO-4217 alpha-3 code format.
    Example: "EUR"

  - `payoutMethodName` (string)
    The payout method determined using the provided data.
    Example: "sepa"

  - `dataRequirements` (array, required)
    Example: [{"fieldCategory":"ORIGINATOR","fieldName":"Dbtr.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":2,"fieldMaxLength":100,"fieldDescription":"Business originator's name","fieldHelpText":"The business originator's legal name."},{"fieldCategory":"BENEFICIARY","fieldName":"CdtrAgt.FinInstnId.Nm","fieldType":"REQUIRED","fieldDataType":"STRING","fieldMinLength":0,"fieldMaxLength":50,"fieldDescription":"Beneficiary's bank name","fieldHelpText":"Name by which the party is known and which is usually used to identify the party."}]

  - `dataRequirements.fieldCategory` (string, required)
    The data requirements apply to the identity type displayed
    Enum: "ORIGINATOR", "BENEFICIARY", "ORIGINATOR_AGENT", "INTERMEDIARY", "TRANSACTION"

  - `dataRequirements.fieldName` (string, required)
    The name of the JSON property.
    Example: "Dbtr.Id.OrgId.DtAndPlcofIncorprtn"

  - `dataRequirements.fieldType` (string, required)
    Indicates whether this property is optional or required.
    Example: "OPTIONAL"

  - `dataRequirements.fieldDataType` (string, required)
    The data type of this data requirement.
    Enum: "STRING", "BOOLEAN", "INTEGER", "FLOAT", "DOUBLE", "ENUM"

  - `dataRequirements.fieldMinLength` (integer, required)
    The minimum amount of characters this field requires.
    Example: 2

  - `dataRequirements.fieldMaxLength` (integer, required)
    The maximum amount of characters this field allows.
    Example: 2

  - `dataRequirements.fieldDescription` (string, required)
    The name of this property.
    Example: "Country of incorporation"

  - `dataRequirements.fieldRegexValidator` (string)
    The RegEx pattern for this property.
    Example: "^[A-Z]{2}$"

  - `dataRequirements.fieldHelpText` (string)
    The description for this property.
    Example: "Country of incorporation as it appears in the certificate of incorporation"

  - `dataRequirements.fieldValues` (array)
    Lists the allowed enum values and their descriptions.

  - `dataRequirements.fieldValues.label` (string, required)
    Provides a description of the enum value.

  - `dataRequirements.fieldValues.value` (string, required)
    Provides the enumerated value allowed for the field.

  - `dataRequirements.overlappingFields` (array)

## Response 401 fields (application/problem+json):

  - `status` (integer, required)

  - `errors` (array, required)

  - `errors.category` (string, required)
    Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE"

  - `errors.title` (string, required)

  - `errors.code` (string, required)

  - `errors.detail` (string, required)

  - `timestamp` (string)


